Bug 197412 - Problem updating selinux-policy-targeted
Problem updating selinux-policy-targeted
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: selinux-policy-strict (Show other bugs)
5
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Daniel Walsh
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-07-01 01:12 EDT by Eli Wapniarski
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-07-10 11:39:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Eli Wapniarski 2006-07-01 01:12:04 EDT
Description of problem:
Issuing the command

rpm -Uvh selinux-policy-strict_2.2.43-4.fc5_noarch.rpm

produces

libsepol.scope_copy_callback: authlogin: Duplicate declaration in module: type/attribute 
system_chkpwd_t
libsemanage.semanage_link_sandbox: Link packages failed
semodule:  Failed!

Version-Release number of selected component (if applicable):

selinux-policy-strict_2.2.43-4.fc5_noarch.rpm

How reproducible:

Always

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:

Should install cleanly

Additional info:
Comment 1 Eli Wapniarski 2006-07-10 00:00:14 EDT
The Problem persists with selinux-policy-strict 2.2.47-3.fc5
Comment 2 Daniel Walsh 2006-07-10 11:39:23 EDT
Which loadable modules to you have installed?

If you have the authlogin.pp installed, execute the following

semodule -r authlogin
rm /usr/share/selinux/strict/authlogin.pp

Then install the strict policy package.

This is a problem caused a while ago by a strict policy package.

If you are running targeted policy you can just remove strict policy package all
together.

Comment 3 Eli Wapniarski 2006-07-11 00:27:39 EDT
Running 

semodule -r authlogin\

produces

libsemanage.semanage_direct_remove: Module authlogin was not found.
semodule:  Failed on authlogin!

and then of course

rm /usr/share/selinux/strict/authlogin.pp

produces

semodule:  Failed on authlogin!





Comment 4 Daniel Walsh 2006-07-11 09:02:48 EDT
If you are not running strict do the following

yum remove selinux-policy-strict
rm -rf /etc/selinux/strict
rm -rf /usr/share/selinux/strict

Now if you reinstall strict policy everything should work.

Comment 5 Eli Wapniarski 2006-07-11 11:41:59 EDT
That did the trick... Thank you.

Note You need to log in before you can comment on or make changes to this bug.